---
updatedAt: 2026-06-25T17:49:52.000Z
agentTools:
  projectIndex: https://team-asset-panda.readme.io/llms.txt
---

# Generate report

## Generate a Report

Retrieves report information and creates a report based upon a specific report ID.

See <b>Parameters</b> and <b>Authentication</b> below.

## Parameters

| Path Parameters | Required/Optional | Description                               | Type   |
| :-------------- | :---------------- | :---------------------------------------- | :----- |
| `report_id`     | required          | Value of the report you want to generate. | string |

## Authorization

| Key           | Description        |
| :------------ | :----------------- |
| Authorization | Your Bearer token. |

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "V3-APIs",
    "version": "3.1"
  },
  "servers": [
    {
      "url": "https://api.assetpanda.com"
    }
  ],
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "components": {
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer"
      }
    }
  },
  "tags": [
    {
      "name": "Reports"
    }
  ],
  "paths": {
    "/v3/reports/{report_id}": {
      "get": {
        "tags": [
          "Reports"
        ],
        "summary": "Generate report",
        "parameters": [
          {
            "name": "report_id",
            "in": "path",
            "required": true,
            "schema": {
              "type": "integer"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {}
            }
          }
        }
      }
    }
  }
}
```